[Pvfs2-cvs] commit by slang in pvfs2: configure configure.in

CVS commit program cvs at parl.clemson.edu
Wed Aug 22 16:32:28 EDT 2007


Update of /projects/cvsroot/pvfs2
In directory parlweb1:/tmp/cvs-serv23325

Modified Files:
	configure configure.in 
Log Message:
use perl's Math::BigInt module instead of assuming perl has 64bit int support.  Check for BigInt in configure.


Index: configure
===================================================================
RCS file: /projects/cvsroot/pvfs2/configure,v
diff -p -u -r1.354 -r1.355
--- configure	19 Aug 2007 18:36:07 -0000	1.354
+++ configure	22 Aug 2007 20:32:26 -0000	1.355
@@ -5894,6 +5894,19 @@ fi
 
 
 
+
+{ echo "$as_me:$LINENO: checking for required Math::BigInt perl module" >&5
+echo $ECHO_N "checking for required Math::BigInt perl module... $ECHO_C" >&6; }
+perl -e "use Math::BigInt" 2>&1 > /dev/null
+if test $? != 0; then
+	{ { echo "$as_me:$LINENO: error: no" >&5
+echo "$as_me: error: no" >&2;}
+   { (exit 1); exit 1; }; }
+else
+	{ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+fi
+
 if test $host != $build; then
 	for ac_prog in gcc cc
 do

Index: configure.in
===================================================================
RCS file: /projects/cvsroot/pvfs2/configure.in,v
diff -p -u -r1.329 -r1.330
--- configure.in	22 Jul 2007 16:34:32 -0000	1.329
+++ configure.in	22 Aug 2007 20:32:28 -0000	1.330
@@ -70,6 +70,15 @@ AC_CHECK_PROG(HAVE_FIND, find, yes, no)
 AC_CHECK_PROG(HAVE_BISON, bison, yes, no)
 AC_CHECK_PROG(HAVE_FLEX, flex, yes, no)
 
+
+AC_MSG_CHECKING([for required Math::BigInt perl module])
+perl -e "use Math::BigInt" 2>&1 > /dev/null
+if test $? != 0; then
+	AC_MSG_ERROR(no)
+else
+	AC_MSG_RESULT(yes)
+fi
+
 if test $host != $build; then
 	AC_CHECK_PROGS(BUILD_CC, gcc cc)
 else



More information about the Pvfs2-cvs mailing list